Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.neuroph.util
Enum NeuralNetworkType

    java.lang.Object
      java.lang.Enum<NeuralNetworkType>
          org.neuroph.util.NeuralNetworkType

All Implemented Interfaces:
  Serializable, Comparable<NeuralNetworkType>

    public enum NeuralNetworkType

extends Enum<NeuralNetworkType>

Contains neural network types and labels.

Enum Constant Summary
`ADALINE`
`BAM`
`BOLTZMAN`
`COMPETITIVE`
`COUNTERPROPAGATION`
`HOPFIELD`
`INSTAR`
`INSTAR_OUTSTAR`
`KOHONEN`
`MAXNET`
`MULTI_LAYER_PERCEPTRON`
`NEURO_FUZZY_REASONER`
`OUTSTAR`
`PCA_NETWORK`
`PERCEPTRON`
`RBF_NETWORK`
`RECOMMENDER`
`SUPERVISED_HEBBIAN_NET`
`UNSUPERVISED_HEBBIAN_NET`

Method Summary
`String` | `getTypeLabel()`
`static NeuralNetworkType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static NeuralNetworkType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### ADALINE

    public static final NeuralNetworkType ADALINE

### PERCEPTRON

    public static final NeuralNetworkType PERCEPTRON

### MULTI_LAYER_PERCEPTRON

    public static final NeuralNetworkType MULTI_LAYER_PERCEPTRON

### HOPFIELD

    public static final NeuralNetworkType HOPFIELD

### KOHONEN

    public static final NeuralNetworkType KOHONEN

### NEURO_FUZZY_REASONER

    public static final NeuralNetworkType NEURO_FUZZY_REASONER

### SUPERVISED_HEBBIAN_NET

    public static final NeuralNetworkType SUPERVISED_HEBBIAN_NET

### UNSUPERVISED_HEBBIAN_NET

    public static final NeuralNetworkType UNSUPERVISED_HEBBIAN_NET

### COMPETITIVE

    public static final NeuralNetworkType COMPETITIVE

### MAXNET

    public static final NeuralNetworkType MAXNET

### INSTAR

    public static final NeuralNetworkType INSTAR

### OUTSTAR

    public static final NeuralNetworkType OUTSTAR

### RBF_NETWORK

    public static final NeuralNetworkType RBF_NETWORK

### BAM

    public static final NeuralNetworkType BAM

### BOLTZMAN

    public static final NeuralNetworkType BOLTZMAN

### COUNTERPROPAGATION

    public static final NeuralNetworkType COUNTERPROPAGATION

### INSTAR_OUTSTAR

    public static final NeuralNetworkType INSTAR_OUTSTAR

### PCA_NETWORK

    public static final NeuralNetworkType PCA_NETWORK

### RECOMMENDER

    public static final NeuralNetworkType RECOMMENDER

Method Detail

### values

    public static NeuralNetworkType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (NeuralNetworkType c : NeuralNetworkType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static NeuralNetworkType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### getTypeLabel

    public String getTypeLabel()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2012. All Rights Reserved.